Bug 859789 - Add a requirement for UTF-8
Add a requirement for UTF-8
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Administrator_Guide (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: lcarlon
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 23:32 EDT by Toshiya Kobayashi
Modified: 2013-01-20 22:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 22:36:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2012-09-23 23:32:21 EDT
Guvnor and Designer are already internationalized with UTF-8 encoding. If JVM is running under encoding other than UTF-8, it might hit unxpected issues. So please add a note to run JVM under UTF-8 (with LANG or JVM option '-Dfile.encoding=UTF-8').
Comment 1 lcarlon 2012-09-24 01:39:39 EDT
I've added the following content to the Customization chapter, just after the language settings section:

JBoss Enterprise BRMS is designed to work with UTF-8 encoding. If a different encoding system is being used by the JVM, unexpected errors might occur.
To ensure UTF-8 is used by the JVM, use the JVM option "-Dfile.encoding=UTF-8".

As soon as it is live on the internal doc stage I will provide a link and update the status to ON_QA

- Lee
Comment 3 Lukáš Petrovický 2012-10-30 05:37:50 EDT
Confirmed that the note is there.

Note You need to log in before you can comment on or make changes to this bug.